#!/bin/sh

FILE_ID_SW_ERROR="/opt/si2000/mnroot/storage/maple_sw_error.txt"
FILE_ID_SRAM="/opt/si2000/mnroot/storage/mapleSRAMlog.txt"
TEMP_FILE="/opt/si2000/mnroot/storage/temp.txt"
echo "==================" > $FILE_ID_SW_ERROR
echo &date >> $FILE_ID_SW_ERROR
echo "==================" >> $FILE_ID_SW_ERROR
for ((i=0; i<=15; i++))
do
    echo " /a/g object=software_error idx=$i entry=yes" >> $FILE_ID_SW_ERROR
    echo " /a/g object=software_error idx=$i entry=yes" | bcm_maple_cli >> $FILE_ID_SW_ERROR
done

echo "==================" > $FILE_ID_SRAM
echo &date >> $FILE_ID_SRAM
echo "==================" >> $FILE_ID_SRAM

for ((i=0; i<5000; i++))
do
    echo " /a/g object=logger file_id=sram buffer=yes" > $TEMP_FILE
    echo " /a/g object=logger file_id=sram buffer=yes" | bcm_maple_cli >> $TEMP_FILE
    cat $TEMP_FILE >> $FILE_ID_SRAM
   
    # check whether buffer.msg_to_read whether is 0
    grep "buffer.msg_to_read=0" $TEMP_FILE  
    if [[ $? -eq 0 ]]; then
        rm -f $TEMP_FILE
        exit 0
    fi
done
